Zum Hauptinhalt springen
POST
/
settings
/
users
/
2026-03
cURL
curl --request POST \
  --url https://api.hubapi.com/settings/users/2026-03 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "sendWelcomeEmail": true,
  "firstName": "<string>",
  "lastName": "<string>",
  "primaryTeamId": "<string>",
  "roleId": "<string>",
  "secondaryTeamIds": [
    "<string>"
  ]
}
'
{
  "email": "<string>",
  "id": "<string>",
  "roleIds": [
    "<string>"
  ],
  "superAdmin": true,
  "firstName": "<string>",
  "lastName": "<string>",
  "primaryTeamId": "<string>",
  "roleId": "<string>",
  "secondaryTeamIds": [
    "<string>"
  ],
  "sendWelcomeEmail": true
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
email
string
erforderlich

The user's email.

sendWelcomeEmail
boolean
erforderlich

Whether to send a welcome email.

firstName
string

The user's first name.

lastName
string

The user's last name.

primaryTeamId
string

The user's primary team.

roleId
string

The user's role.

secondaryTeamIds
string[]

The user's additional teams.

Antwort

successful operation

email
string
erforderlich

The user's email.

id
string
erforderlich

The user's unique ID.

roleIds
string[]
erforderlich

A list of role IDs assigned to the user.

superAdmin
boolean
erforderlich

Whether the user has super admin privileges.

firstName
string

The user's first name.

lastName
string

The user's last name.

primaryTeamId
string

The user's primary team

roleId
string

The user's role.

secondaryTeamIds
string[]

The user's additional teams.

sendWelcomeEmail
boolean

Whether a welcome email was sent to the user. This value will only be populated in response to a provisioning request. Subsequent queries will be false.

Last modified on April 9, 2026